Bug 325330 - trashcan plasmoid needs double-click to open when on desktop
Summary: trashcan plasmoid needs double-click to open when on desktop
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-trashcan (show other bugs)
Version: 4.11.1
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 327841 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-09-26 14:17 UTC by Wolfgang Bauer
Modified: 2013-11-20 07:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Bauer 2013-09-26 14:17:27 UTC
I have a trashcan plasmoid on my desktop and I recently discovered, that I need to double-click now on it to open the Trash folder in the filemanager although KDE is set to open things with a single click (which works everywhere else as far as I can tell).

This seems to be a regression in 4.11, I'm pretty sure that a single-click was sufficient in 4.10.x.

Another thing to note:
This only is the case if the plasmoid is placed on the desktop.
If I put it in a panel, dolphin opens as soon as I click on the plasmoid _once_.
Comment 1 Wolfgang Bauer 2013-09-26 14:31:56 UTC
I want to add that when I run the trash plasmoid in plasma-windowed or plasmoidviewer, the behaviour is as expected as well: a single click opens the file manager.
Comment 2 Wolfgang Bauer 2013-10-05 08:59:49 UTC
(In reply to comment #0)
> This seems to be a regression in 4.11, I'm pretty sure that a single-click
> was sufficient in 4.10.x.
I just tried again with 4.10.5 and the problem was already there in that version.

And even a double click doesn't always work.
Comment 3 Wolfgang Bauer 2013-10-05 18:23:25 UTC
Hm, strange. I just did a fresh install of openSUSE 12.3 (includes KDE 4.10.0) in VirtualBox to check, and the problem even occurs there already.
I really thought I had clicked on the trashcan plasmoid since then. ;)

Another thing:
The problem disappears if I lock the widgets.
Comment 4 Wolfgang Bauer 2013-10-06 09:29:16 UTC
This is the same as bug#310762 for the icon plasmoid.
And removing the registerAsDragHandle() call (as has been done for the icon plasmoid) fixes the issue for me.

Review request:
https://git.reviewboard.kde.org/r/113127/
Comment 5 Jekyll Wu 2013-10-07 08:08:06 UTC
FYI, plasma should be the best group in your review request, since kde-workspace group is intended for non-plasma staff in kde-workspace, so you review quest is not sent to plasma-devel ML yet.
Comment 6 Wolfgang Bauer 2013-10-07 08:37:51 UTC
(In reply to comment #5)
> FYI, plasma should be the best group in your review request, since
> kde-workspace group is intended for non-plasma staff in kde-workspace, so
> you review quest is not sent to plasma-devel ML yet.

Thanks for the hint!
I chose kde-workspace because the trashcan plasmoid is part of the kde-workspace repository.
Added plasma as well now...
Comment 7 Wolfgang Bauer 2013-10-07 17:42:48 UTC
Git commit 6f49908ee013c8515712b8dd9a1a9c73a14a6b74 by Wolfgang Bauer.
Committed on 07/10/2013 at 17:09.
Pushed by wbauer into branch 'KDE/4.11'.

Fix click on trash plasmoid when on desktop and widgets are unlocked

Don't register the icon as a draggable with the applet.

This causes events to be intercepted which prevents launching the file
manager when the applet is movable.
FIXED-IN: 4.11.3
REVIEW: 113127

M  +0    -2    plasma/desktop/applets/trash/trash.cpp

http://commits.kde.org/kde-workspace/6f49908ee013c8515712b8dd9a1a9c73a14a6b74
Comment 8 Jekyll Wu 2013-11-20 07:49:30 UTC
*** Bug 327841 has been marked as a duplicate of this bug. ***